// SPDX-License-Identifier: Apache-2.0
pragma solidity ^0.8.4;

/// @notice A tuple of data root with metadata. Each data root is associated
///  with a Celestia block height.
/// @dev `availableDataRoot` in
///  https://github.com/celestiaorg/celestia-specs/blob/master/src/specs/data_structures.md#header
struct DataRootTuple {
    // Celestia block height the data root was included in.
    // Genesis block is height = 1.
    uint256 height;
    // Data root.
    bytes32 dataRoot;
}
